/*
 * Options for crun:
 * -crun-compopts:=-O2
 * crun-compopts:+-lm
 * crun-compopts:.-std=c99
 * crun-progopts:=-c 12
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

int main( int argc, char** argv )
{
  char* greeting   = "Greetings!\n";
  char* greeting_n = "Greeting #%d!\n";

  int strlenlog;
  strlenlog = log2( strlen( greeting ) );

  if ( strlenlog > 10 )
    exit( 1 );

  int times = 1;
  if ( argc > 1 )
    {
      if ( !strcmp( argv[1], "-c" ) )
        sscanf( argv[2], "%d", &times );
      else
        {
          fprintf( stderr, "Usage: greeting [-c count]\n" );
          exit( 1 );
        }
    }

  if ( times > 1 )
    {
      for ( int i = 0; i < times; i++ )
        printf( greeting_n, i+1 );
    }
  else
    {
      printf( greeting );
    }

  return 0;
}
